### Method

# Snapd SlotRef get_snap

since: 1.48

#### Declaration [src]

    const gchar*
    snapd_slot_ref_get_snap (
      SnapdSlotRef* slot_ref
    )

#### Description [src]

Get the snap this slot is on.

Available since: 1.48

Gets property | `Snapd.SlotRef:snap`

#### Return value

Type: `const gchar*`

A snap name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.